org.modeshape.jcr.bus

## Class ClusteredRepositoryChangeBus.ObjectInputStreamWithClassLoader

- java.lang.Object
- - java.io.InputStream
  - - java.io.ObjectInputStream
    - - org.modeshape.jcr.bus.ClusteredRepositoryChangeBus.ObjectInputStreamWithClassLoader

- All Implemented Interfaces:
    Closeable, DataInput, ObjectInput, ObjectStreamConstants, AutoCloseable
  Enclosing class:
    ClusteredRepositoryChangeBus

      protected final class ClusteredRepositoryChangeBus.ObjectInputStreamWithClassLoader
      extends ObjectInputStream

  ObjectInputStream extension that allows a different class loader to be used when resolving types.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.io.ObjectInputStream

      `ObjectInputStream.GetField`

  - ### Field Summary

    - ### Fields inherited from interface java.io.ObjectStreamConstants

      `baseWireHandle, PROTOCOL_VERSION_1, PROTOCOL_VERSION_2, SC_BLOCK_DATA, SC_ENUM, SC_EXTERNALIZABLE, SC_SERIALIZABLE, SC_WRITE_METHOD, STREAM_MAGIC, STREAM_VERSION, SUBCLASS_IMPLEMENTATION_PERMISSION, SUBSTITUTION_PERMISSION, TC_ARRAY, TC_BASE, TC_BLOCKDATA, TC_BLOCKDATALONG, TC_CLASS, TC_CLASSDESC, TC_ENDBLOCKDATA, TC_ENUM, TC_EXCEPTION, TC_LONGSTRING, TC_MAX, TC_NULL, TC_OBJECT, TC_PROXYCLASSDESC, TC_REFERENCE, TC_RESET, TC_STRING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClusteredRepositoryChangeBus.ObjectInputStreamWithClassLoader(InputStream in, ClassLoader cl)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `protected Class<?>` | `resolveClass(ObjectStreamClass desc)`

    - ### Methods inherited from class java.io.ObjectInputStream

      `available, defaultReadObject, enableResolveObject, read, read, readBoolean, readByte, readChar, readClassDescriptor, readDouble, readFields, readFloat, readFully, readFully, readInt, readLine, readLong, readObject, readObjectOverride, readShort, readStreamHeader, readUnshared, readUnsignedByte, readUnsignedShort, readUTF, registerValidation, resolveObject, resolveProxyClass, skipBytes`

    - ### Methods inherited from class java.io.InputStream

      `mark, markSupported, read, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.io.ObjectInput

      `read, skip`

- - ### Constructor Detail

    - #### ClusteredRepositoryChangeBus.ObjectInputStreamWithClassLoader

          public ClusteredRepositoryChangeBus.ObjectInputStreamWithClassLoader(InputStream in,
                                                                       ClassLoader cl)
                                                                        throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### resolveClass

          protected Class<?> resolveClass(ObjectStreamClass desc)
                                   throws IOException,
                                          ClassNotFoundException

      Overrides:
        `resolveClass` in class `ObjectInputStream`
      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `ObjectInput`
      Specified by:
        `close` in interface `AutoCloseable`
      Overrides:
        `close` in class `ObjectInputStream`
      Throws:
        `IOException`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.